Fn = 2970; % Hz   
Fg = 2950; % Hz  
Fd = 8000; %    

N  = 2048; %     (       )

SNR = -6;  %       AWGN  db(   )

a = sin(2*pi*(Fn/Fd).*[1:N] + pi./23); %  
b = sin(2*pi*(Fg/Fd).*[1:N]);          % 

a = AWGN(a,-6,0);

%  

for n=1:1:N
    if(a(n)>0) a(n) = 1; else a(n) = 0; end;
    if(b(n)>0) b(n) = 1; else b(n) = 0; end;
end;

%      
figure(1);
[Ha,Fa] = PSD(a,N,Fd);
plot(Fa,10.*log10(Ha),'r'); grid on;

%    
figure(2);
[Hb,Fb] = PSD(b,N,Fd);
plot(Fb,10.*log10(Hb),'r'); grid on;

% 
c = xor(a,b);

%          
%   
for n=1:1:N
    if(c(n)==1) d(n) = 1; else d(n) = -1; end;
end;

%    
figure(3);
[Hd,Fd] = PSD(d,N,Fd);
plot(Fd,10.*log10(Hd),'r'); grid on;


